#pragma once

#include "CoreMinimal.h"
#include "SourceBasedOutlineUpdateStrategy.h"
#include "UObject/NoExportTypes.h"
#include "MeatHookOutlineUpdateStrategy.generated.h"

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class DEADBYDAYLIGHT_API UMeatHookOutlineUpdateStrategy : public USourceBasedOutlineUpdateStrategy
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FLinearColor _hookedOutlineColorKiller;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FLinearColor _carryingOutlineColorKiller;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FLinearColor _defaultOutlineColorKiller;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FLinearColor _visibleOutlineColorSurvivor;

private:
	UFUNCTION(BlueprintCallable)
	void Local_AddBasementOfferingReveal();

	UFUNCTION(BlueprintCallable)
	void Authority_AddBasementHookToPlayerMapItem();

public:
	UMeatHookOutlineUpdateStrategy();
};

FORCEINLINE uint32 GetTypeHash(const UMeatHookOutlineUpdateStrategy) { return 0; }
